<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: BlCtrlV2_x4 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_bl_ctrl_v2__x4.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_bl_ctrl_v2__x4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BlCtrlV2_x4 Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe integrant les drivers i2c Mikrokopter.  
 <a href="class_bl_ctrl_v2__x4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_bl_ctrl_v2__x4_8h_source.html">BlCtrlV2_x4.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for BlCtrlV2_x4:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_bl_ctrl_v2__x4.png" usemap="#BlCtrlV2_x4_map" alt=""/>
  <map id="BlCtrlV2_x4_map" name="BlCtrlV2_x4_map">
<area href="class_bldc.html" title="Virtual class for brushless drivers. " alt="Bldc" shape="rect" coords="0,112,79,136"/>
<area href="class_i_o_device.html" title="Abstract class for input/ouput system. " alt="IODevice" shape="rect" coords="0,56,79,80"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="0,0,79,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a70434e174bcaf80136dbc409bbdd9950"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70434e174bcaf80136dbc409bbdd9950"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>BlCtrlV2_x4</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, <a class="el" href="class_i2c_port.html">I2cPort</a> *i2cport)</td></tr>
<tr class="separator:a70434e174bcaf80136dbc409bbdd9950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8322f9f3298ab2d923f9fa498fa6806e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8322f9f3298ab2d923f9fa498fa6806e"></a>
<a class="el" href="class_battery_monitor.html">BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void)</td></tr>
<tr class="separator:a8322f9f3298ab2d923f9fa498fa6806e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_bldc"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_bldc')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_bldc.html">Bldc</a></td></tr>
<tr class="memitem:a52438d648f48e6290d772d73619c694d inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52438d648f48e6290d772d73619c694d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Bldc</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="separator:a52438d648f48e6290d772d73619c694d inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f8b4624bf91451518e1c564157a9ddd inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f8b4624bf91451518e1c564157a9ddd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Lock</b> (void)</td></tr>
<tr class="separator:a0f8b4624bf91451518e1c564157a9ddd inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaeaaff4fa89079114c9ec1dd03996f5 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acaeaaff4fa89079114c9ec1dd03996f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Unlock</b> (void)</td></tr>
<tr class="separator:acaeaaff4fa89079114c9ec1dd03996f5 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea85ca2f7439c9b89fca9874e5c01ab3 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea85ca2f7439c9b89fca9874e5c01ab3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetEnabled</b> (bool status)</td></tr>
<tr class="separator:aea85ca2f7439c9b89fca9874e5c01ab3 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d30343fa90a1603861388dc9bc16272 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d30343fa90a1603861388dc9bc16272"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void)</td></tr>
<tr class="separator:a2d30343fa90a1603861388dc9bc16272 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b683d4ad6975878de7e1f06b470017 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8b683d4ad6975878de7e1f06b470017"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRoll</b> (float value)</td></tr>
<tr class="separator:aa8b683d4ad6975878de7e1f06b470017 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15bb434354ed80fb9badfb4d5f9d155a inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15bb434354ed80fb9badfb4d5f9d155a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitch</b> (float value)</td></tr>
<tr class="separator:a15bb434354ed80fb9badfb4d5f9d155a inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7887c5d9d4ab20832c92d150f7153d92 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7887c5d9d4ab20832c92d150f7153d92"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYaw</b> (float value)</td></tr>
<tr class="separator:a7887c5d9d4ab20832c92d150f7153d92 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c7dc4ec492a94ae73da55bb2defd329 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c7dc4ec492a94ae73da55bb2defd329"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrust</b> (float value)</td></tr>
<tr class="separator:a4c7dc4ec492a94ae73da55bb2defd329 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8f15e13c044adff352e6cbd4798a028 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8f15e13c044adff352e6cbd4798a028"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRollTrim</b> (float value)</td></tr>
<tr class="separator:aa8f15e13c044adff352e6cbd4798a028 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f9e03a14395c5204787ef81a0a2bd4 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41f9e03a14395c5204787ef81a0a2bd4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitchTrim</b> (float value)</td></tr>
<tr class="separator:a41f9e03a14395c5204787ef81a0a2bd4 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a308dd30e3091e2bcd262df990b3db9e6 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a308dd30e3091e2bcd262df990b3db9e6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawTrim</b> (float value)</td></tr>
<tr class="separator:a308dd30e3091e2bcd262df990b3db9e6 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b95f87dea5863564de361af1119cbb inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7b95f87dea5863564de361af1119cbb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrustTrim</b> (float value)</td></tr>
<tr class="separator:ac7b95f87dea5863564de361af1119cbb inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48055c3c709d3fabb26340cc2f1eb3b2 inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48055c3c709d3fabb26340cc2f1eb3b2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartTrimValue</b> (void)</td></tr>
<tr class="separator:a48055c3c709d3fabb26340cc2f1eb3b2 inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe05c33ae29c1cf41ac55b655d2d81ba inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe05c33ae29c1cf41ac55b655d2d81ba"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartValue</b> (void)</td></tr>
<tr class="separator:abe05c33ae29c1cf41ac55b655d2d81ba inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22de6b7d5ea9652d8669fa59c96e54d inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad22de6b7d5ea9652d8669fa59c96e54d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Update</b> (Time time)</td></tr>
<tr class="separator:ad22de6b7d5ea9652d8669fa59c96e54d inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3023eeae1d6a0aee44751e0a740a8fbc inherit pub_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3023eeae1d6a0aee44751e0a740a8fbc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a3023eeae1d6a0aee44751e0a740a8fbc inherit pub_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#af654a28da90b978a4c7ab8b5c88dac3d">IODevice</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af654a28da90b978a4c7ab8b5c88dac3d">More...</a><br/></td></tr>
<tr class="separator:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#a3615f78e1b4ae46ba84ce46c048a0dfb">~IODevice</a> ()</td></tr>
<tr class="memdesc:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3615f78e1b4ae46ba84ce46c048a0dfb">More...</a><br/></td></tr>
<tr class="separator:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#aa7accfa0828e7d43c05b06a7d59829a5">AddDeviceToLog</a> (<a class="el" href="class_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="class_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#aa7accfa0828e7d43c05b06a7d59829a5">More...</a><br/></td></tr>
<tr class="separator:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_bldc.html">Bldc</a></td></tr>
<tr class="memitem:a375b6634782c304f058ef09135c9eedc inherit pro_methods_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a375b6634782c304f058ef09135c9eedc"></a>
<a class="el" href="class_grid_layout.html">GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void)</td></tr>
<tr class="separator:a375b6634782c304f058ef09135c9eedc inherit pro_methods_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_bldc.html">Bldc</a></td></tr>
<tr class="memitem:ae1ba824ba6ef049ad35e9590b4976079 inherit pro_attribs_class_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1ba824ba6ef049ad35e9590b4976079"></a>
class Bldc_impl *&#160;</td><td class="memItemRight" valign="bottom"><b>pimpl_</b></td></tr>
<tr class="separator:ae1ba824ba6ef049ad35e9590b4976079 inherit pro_attribs_class_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe integrant les drivers i2c Mikrokopter. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_bl_ctrl_v2__x4.html">BlCtrlV2_x4</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
